NexPlayer

Player SDK for Android TV/STB & Fire TV

Unify your OTT platform under one player by supporting HLS & DASH with Widevine across all Android and Fire TV & Set-Top-Box video apps.

NexPlayer SDK for Android TV/STB

Support All Android TV & STB Devices

NexPlayer allows you to manage one player for all Android TV & Set-Top-Box devices, enabling advanced functionalities and making life easier for media organizations to manage their video apps.

NexPlayer SDK is optimized for every Android TV & STB, providing hardware-boosted playback and continual upgrades so legacy devices are compatible with the latest technology. The number of Android TV users has doubled in the past year, so tapping into this market is more important than ever.

Our Android TV & STB Player SDK supports all NexPlayer SDK streaming and playback capabilities now in your Android and Amazon Fire TV & STB video apps.

Features Overview

Easy to integrate
NexPlayer SDK is very easy to integrate into any Android TV/ST App
Custom SDK

We provide a customized SDK for your Set-Top box / Android TV device for an optimized performance

HLS/DASH Live Streaming

Supporting HTTP Live Streaming (HLS) and MPEG-DASH as well as Local playback and Progressive Download

HD Video Quality

Your OTT content with HW-boosted HD video quality

Intelligent ABR

Our Intelligent Adaptive Bit Rate (ABR) algorithms ensure a best in class video experience in each STB device

Latest codecs and formats

Supporting H265, H264 Baseline/Main/High Profile, AAC...

Fully customizable

Customizable feature set and API 

All subtitle and closed captioning formats

Supporting CEA 608/708, TTML, 3GPP, WebVTT, SMI, SRT, SUB and more

Multiple integrated add-ons

Fully compatible with third party solutions in the audio, analytics and ad insertion areas

DRM Content Protection

Compatible with Widevine DRM and any other DRM solution to prevent content theft

Customized technical support

24/7 fastest and multichannel customer support

And much more!

Try Our Android & Fire TV/STB Player SDK

Fields marked with * are required